package com.halo.halojuhesdk.sdk.listener;

import android.content.Context;
import android.view.View;
import android.view.ViewGroup;

import androidx.annotation.NonNull;

import com.halo.halojuhesdk.core.channel.IUnifiedNativeAd;
import com.halo.halojuhesdk.core.request.SlotBean;
import com.halo.halojuhesdk.sdk.HlNativeAdView;

import java.util.List;

public class HlNativeResponseImpl implements HlNativeResponse {
    private String title;
    private List<String> imgList;
    private String imgUrl = "";
    private String adDescription = "";
    private String appName = "";
    private String appIconUrl = "";
    private String appSource = "";
    private boolean isDownLoadType = false;
    private String reqId = "";
    private SlotBean slotBean = null;
    private Context context;
    private IUnifiedNativeAd unifiedNativeAd;
    private ViewGroup container;
    private HlNativeAdCallBackListener listener;
    private HlNativeVideoListener videoListener;

    public List<String> getImgList() {
        return imgList;
    }

    public void setImgList(List<String> imgList) {
        this.imgList = imgList;
    }

    public String getAdDescription() {
        return adDescription;
    }

    public void setAdDescription(String adDescription) {
        this.adDescription = adDescription;
    }

    public String getAppName() {
        return appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public String getAppSource() {
        return appSource;
    }

    @Override
    public void bindToView(Context context, @NonNull List<View> viewList) {
        setContext(context);
        if (unifiedNativeAd != null) {
            unifiedNativeAd.bindNativeData(context, viewList);
        }
    }

    @Override
    public void registerHlNativeListener(Context context, HlNativeAdCallBackListener currentListener) {
        setContext(context);
        if (unifiedNativeAd != null) {
            unifiedNativeAd.setNativeAdListener(currentListener);
        }
    }

    public Context getContext() {
        return context;
    }

    public void setContext(Context context) {
        this.context = context;
    }

    public ViewGroup getAdContainer() {
        return container;
    }

    public void setAdContainer(ViewGroup container) {
        this.container = container;
    }

    public HlNativeAdCallBackListener getListener() {
        return listener;
    }

    public void setListener(HlNativeAdCallBackListener listener) {
        this.listener = listener;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getAppIconUrl() {
        return appIconUrl;
    }

    public void setAppIconUrl(String appIconUrl) {
        this.appIconUrl = appIconUrl;
    }

    public boolean getDownLoadType() {
        return isDownLoadType;
    }

    public void setIUnifiedNativeAd(IUnifiedNativeAd unifiedNativeAd) {
        this.unifiedNativeAd = unifiedNativeAd;
    }

    public String getReqId() {
        return reqId;
    }

    public void setReqId(String reqId) {
        this.reqId = reqId;
    }

    public SlotBean getSlotBean() {
        return slotBean;
    }

    public void setSlotBean(SlotBean slotBean) {
        this.slotBean = slotBean;
    }
}
