package com.halo.halojuhesdk.sdk.listener;

/**
 * @author Feng Zhanao
 * @date 2018/6/28
 * @description
 */
public interface HlSplashAdListener {
    /**
     * 广告准备好（主线程回调）
     */
    void onReadyAd(String adTypeStr);
    /**
     * 广告被展示（主线程回调）
     */
    void onDisplayAd(String adTypeStr);

    /**
     * 广告被点击（主线程回调）
     */
    void onClickAd(String adTypeStr);

    /**
     * 广告被关闭（主线程回调）
     */
    void onCloseAd();


    /**
     * 广告加载失败（主线程回调）
     *
     * @param msg  错误信息
     * @param code 错误码
     */
    void onAdError(String msg, int code);
    /**
     * 点击跳过按钮回调（主线程回调）
     */
    void onAdSkip();
}
